/****************************************************************************************

		IShImageUtilities.h

		Copyright Copyright: (c) 2001 Eovia Corp. All rights reserved. All rights reserved.
	
		Author:	Nicolas
		Date:	07/07/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		
*****************************************************************************************/

#ifndef __IShImageUtilities__
#define __IShImageUtilities__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "ComTypes.h"


struct I2DShImportExportMananger;
 
//************************* Globally Unique Ids ******************************

// {D2CE2492-34C1-11d3-83AD-00104B2D8E67}
MCDEFINE_GUID_H(IID_IShImageUtilities);

//****************************************************************************
/// \addtogroup MCImage
/// \{

/// Image utility functions
struct IShImageUtilities : IMCUnknown
{
	// ****************************************************************************
	//								GetDivideTable
	// 
	/// Gets a pointer to the fast divide table for TGray16s. 
	/// 
	/// 
	virtual uint32 *MCCOMAPI GetDivideTable() = 0;


	// ****************************************************************************
	//								GetImageImportExportManager
	// 
	/// Returns a pointer to the global import export manager.
	/// 
	virtual I2DShImportExportMananger*	MCCOMAPI GetImageImportExportManager() = 0;
};

/// \}
#endif